<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
  <title>Đăng ký học</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796798/logo_icon/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="IE=edge" http-equiv="X-UA-Compatible">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <script crossorigin="anonymous" src="https://kit.fontawesome.com/1ee5e3b648.js"></script>
  <script async crossorigin="anonymous" defer
          nonce="QeM3LVxY"
          src="https://connect.facebook.net/vi_VN/sdk.js#xfbml=1&version=v10.0"></script>
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans+Condensed:wght@300&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.gstatic.com" rel="preconnect"/>
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.gstatic.com" rel="preconnect"/>
  <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@800&display=swap"
        rel="stylesheet"/>
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&display=swap"
        rel="stylesheet"/>
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x"
        rel="stylesheet"/>
  <link href="https://emoji-css.afeld.me/emoji.css" rel="stylesheet">

  <!--file CSS-->
  <link href="/static/UserRegister.css" rel="stylesheet" type="text/css"/>
</head>

<body>
<div>
  <nav class="navbar navbar-expand-lg navbar-light  position-sticky d-block"
       style="top: 0;margin: 0;padding: 0;z-index: 999;box-shadow: rgba(50, 50, 93, 0.25) 0 2px 5px -1px, rgba(0, 0, 0, 0.3) 0 1px 3px -1px;">
    <div class="container-fluid" id="menu">
      <div class="container d-flex justify-content-evenly">
        <a class="navbar-brand" href="/" id="imglogo"><img
            alt=""
            src="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796806/logo_icon/logo_ACT.png"
            style="width: 120%;"></a>
        <div class="d-flex align-items-center" id="menu1" style="margin-left: 1rem">
          <ul class="navbar-nav me-auto mb-1 mb-lg-0" id="dame">
            <li class="nav-item"><a class="nav-link" href="/">Trang chủ</a></li>
            <li class="nav-item"><a class="nav-link" href="/user/introduce-act">Giới thiệu</a></li>
            <li class="nav-item dropdown">
              <a class="nav-link" href="/user/list-course/page/1" id="navbarDropdown">Khóa học</a>
              <div class="dropdown-content shadow-sm mb-2 bg-white"
                   style="border-top: 2px solid black;">
                <a class="dropdown-item"
                   th:href="@{/user/list-course/{type}/page/1 (type = 'Programming')}"><i
                    class="fas fa-laptop-code"></i> Lập trình</a>
                <a class="dropdown-item"
                   th:href="@{/user/list-course/{type}/page/1 (type = 'Network')}"><i
                    class="fas fa-network-wired"></i> Mạng máy tính</a>
              </div>
            </li>
            <li class="nav-item"><a class="nav-link" href="/user/list-news/page/1">Tin tức</a></li>
            <li class="nav-item"><a class="nav-link" href="/user/register?classId=0"
                                    style="font-weight: bold">Đăng
              ký học</a></li>
            <li class="nav-item"><a class="nav-link" href="/user/list-job/page/1">Tuyển dụng</a>
            </li>
            <li class="nav-item"><a class="nav-link" href="http://thuvienso.actvn.edu.vn/">Tài
              liệu</a></li>
          </ul>
        </div>
        <form class="d-flex" id="tim-kiem" method="get"
              th:action="@{/user/search/type/course/page/1}"
              th:object="${search}">
          <label>
            <input class="form-control" placeholder="Tìm kiếm" th:field="*{content}" type="text">
          </label>
          <button class="nav-link" id="menu-search"
                  style="margin: auto auto auto 1rem;height: 0; border: none; outline: none; padding: 0"
                  type="submit">
            <i class="fas fa-search" style="font-size: 13px;float:right;color: black;"></i></button>
        </form>
      </div>
    </div>

    <div class="container-fluid" id="imgmenu"
         style="top: 0;margin: 0;padding: 0;z-index: 999;background: white;">
      <div class="container">
        <div class="d-flex" id="iconmenu" style="justify-content: space-between;">
          <div style="margin-top: 20px;">
            <a aria-controls="menu2" aria-expanded="false" data-toggle="collapse" href="#menu2">
              <img
                  alt=""
                  src="https://res.cloudinary.com/dralhpdiv/image/upload/v1649738069/logo_icon/icon_small_menu.jpg"
                  style="width: 50%;border-radius: 50%;border: 1px solid #100f1f;padding: 5px;">
            </a>
          </div>
          <a class="navbar-brand" href="/"><img
              alt=""
              src="https://res.cloudinary.com/dralhpdiv/image/upload/v1632796806/logo_icon/logo_ACT.png"
              style="width: 150px;"></a>
        </div>
      </div>
    </div>
    <div class="collapse position-sticky" id="menu2"
         style="position: absolute;z-index: 999;background: white;">
      <ul>
        <li class="nav-item"><a class="nav-link" href="/">Trang chủ</a></li>
        <li class="nav-item"><a class="nav-link" href="/user/introduce-act">Giới thiệu</a></li>
        <li class="nav-item dropdown">
          <a class="nav-link" href="/user/list-course/page/1" id="navbarDropdown">Khóa học</a>
        </li>
        <li class="nav-item"><a class="nav-link" href="/user/list-news/page/1">Tin tức</a></li>
        <li class="nav-item"><a class="nav-link" href="/user/register?classId=0">Đăng ký học</a>
        </li>
        <li class="nav-item"><a class="nav-link" href="/user/list-job/page/1">Tuyển dụng</a></li>
        <li class="nav-item"><a class="nav-link" href="http://thuvienso.actvn.edu.vn/">Tài liệu</a>
        </li>
        <li class="nav-item">
          <div class="d-flex">
            <a class="nav-link" href="" id="menu-search">
              <i class="fas fa-search"
                 style="margin-top: 0;font-size: 15px;position: relative;"></i>
            </a>
            <input
                aria-describedby="basic-addon1"
                aria-label=""
                class="form-control"
                placeholder="Tìm kiếm"
                style="border: none;border-radius: 20px;background: #f5f5f5;margin-right: 10px;height: 40px;margin-left: -40px;padding-left: 40px;"
                type="text"
            />
          </div>
        </li>
      </ul>
    </div>
  </nav>

  <div class="text-center">
    <video autoplay loop muted preload style="width: 100%">
      <source
          th:src="${video_banner}"
          type="video/mp4">
    </video>
  </div>

  <div id="dangkihoc">
    <div class="container">
      <div style="height: 41px;">
        <h1>Đăng ký học</h1>
      </div>
      <hr style="border: 1px solid black">
      <p style="text-align: justify">
        Học viện Công nghệ thông tin ACT trực thuộc sự quản lý của khoa An toàn thông tin Học viện
        Kỹ thuật Mât mã, là chương trình hợp tác đào tạo với đối tác nước ngoài như Cisco Systems,
        Microsoft (Hoa
        kỳ), Oracle, Palo Alto, đào tạo về Quản trị mạng, Quản trị hệ thống, Bảo mật và Lập trình
        theo phương thức đào tạo thực hành nhằm đáp ứng nhu cầu
        ngày càng tăng trong việc đào tạo và cung cấp nhân lực có trình độ chuyên môn đạt chuẩn Quốc
        tế.
      </p>

      <div style="margin-bottom: 20px;">
        <h2>Thông tin chung</h2>
        <span style="color: red">Các mục có dấu (*) là bắt buộc</span>
      </div>

      <form id="formRegistedCourse" method="post" th:action="@{/user/post-register}">
        <div th:object="${user}">
          <div class="row">
            <div class="col-md-3">
              <label>Họ và Tên (*)</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label for="txtName"></label><input class="form-control" id="txtName"
                                                    placeholder="Nguyễn Văn A" th:field="*{name}"
                                                    type="text"/>
              </div>
              <div class="invalidValue" id="invalidName">Họ và tên là một chuỗi kí tự không bao gồm
                số
                và các kí tự đặc biệt !
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Giới tính (*)</label>
            </div>
            <div class="col-md-6" style="padding-left: 1rem">
              <div class="input-group">
                <input aria-label="Radio button for following text input" id="radMale"
                       style="margin-top: 10px;margin-right: 10px;"
                       th:field="*{sex}" th:value="Male"
                       type="radio"/>
                <label style="margin-right: 30px;margin-top: 5px;">Nam</label>
                <input aria-label="Radio button for following text input" id="radFemale"
                       style="margin-top: 10px;margin-right: 10px;"
                       th:field="*{sex}" th:value="Female"
                       type="radio"/>
                <label style="margin-top: 5px;">Nữ</label>
              </div>
              <div class="invalidValue" id="invalidSex">Giới tính không được để trống !</div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Ngày sinh (*)</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label for="txtDob"></label>
                <input class="form-control" id="txtDob" th:field="*{dob}" type="date"/>
              </div>
              <div class="invalidValue" id="invalidDob">
                Ngày sinh không được để trống và vượt quá mốc thời gian hiện tại !
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Số điện thoại (*)</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label for="txtPhone"></label><input class="form-control" id="txtPhone"
                                                     placeholder="0964952889" th:field="*{phone}"
                                                     type="tel"/>
              </div>
              <div class="invalidValue" id="invalidPhone">Số điện thoại là một dãy 10 số, có đầu số
                hợp lệ, không có chữ và kí tự đặc biệt !
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Email (*)</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label for="txtEmail"></label><input class="form-control" id="txtEmail"
                                                     placeholder="nguyenvana@gmail.com"
                                                     th:field="*{email}" type="text"/>
              </div>
              <div class="invalidValue" id="invalidEmail">Email là một dãy kí tự và phải có đuôi của
                email !
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Địa chỉ</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label style="width: 100%">
                  <input class="form-control" placeholder="Hà Nội" th:field="*{address}"
                         type="text"/>
                </label>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Công việc hiện tại của bạn là ?</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label style="width: 100%">
                  <input class="form-control" placeholder="Sinh viên" th:field="*{job}"
                         type="text"/>
                </label>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-md-3">
              <label>Nơi học tập (làm việc)</label>
            </div>
            <div class="col-md-6">
              <div class="input-group">
                <label style="width: 100%">
                  <input class="form-control" placeholder="Học viện Kỹ thuật Mật mã"
                         th:field="*{workplace}"
                         type="text"/>
                </label>
              </div>
            </div>
          </div>
        </div>

        <h2 style="margin-bottom: 20px;">Khóa học đăng kí</h2>
        <div class="row" th:object="${course}">
          <div class="col-md-3">
            <label>Tên khóa học</label>
          </div>
          <div class="col-md-6">
            <div class="input-group">
              <select class="custom-select"
                      id="inputGroupSelect01"
                      th:field="*{id}">
                <option th:value="0">Khóa học</option>
                <option th:each="i : ${listCourse}" th:text="${i.name}" th:value="${i.id}"></option>
              </select>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-3">
          </div>
          <div class="col-md-2">
            <div class="bt" id="dang-ki">
              <button onclick="submitForm()" type="submit"> Đăng ký</button>
            </div>
          </div>
          <div class="col-md-2">
            <div class="bt" id="nhap-lai">
              <button type="reset">Nhập lại</button>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>

  <div class="container-fluid"
       style="background: #100f1f;margin-top: 50px;border-top: 2px solid #1877f2;">
    <div class="container" id="footer">
      <div class="row">
        <div class="col-md-4">
          <div class="info">
            <div class="dc">
              <h5 style="font-size: 18px;color: #1877f2;line-height: 1;text-transform: uppercase;">
                Thông tin
              </h5>
              <div class="dchi">
                <i class="fas fa-map-marker-alt" style="margin-right: 15px;"></i>
                <span>
                  Phòng 401 - Nhà TA4- Học viện Kỹ thuật Mật Mã <br> 141 Chiến Thắng - Tân Triều - Thanh Trì - Hà Nội.
              </span>
              </div>
              <div class="email">
                <i class="fas fa-envelope" style="margin-right: 15px;"></i>
                <span>
                  <span style="color: #1877f2; font-size: 14px;">Email: </span>
                  <span style="font-size: 14px;" th:text="${admin.email}"></span>
                </span>
              </div>
              <div class="phone" style="margin-bottom: 20px;">
                <i class="fas fa-phone-alt" style="margin-right: 15px;"></i>
                <span>
                  <span style="color: #1877f2; font-size: 14px;">Liên hệ: </span>
                  <span style="font-size: 14px;" th:text="${admin.phone}"></span>
                </span>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-2" style="margin: 0 auto;">
          <h5 style="font-size: 18px;color: #1877f2;line-height: 1">LIÊN KẾT</h5>
          <ul id="lienket" style="margin-left: -30px; list-style: none">
            <li style="padding-bottom: 5px">
              <a href="/user/introduce-act">
                <i class="fas fa-caret-right"></i>
                <span>Giới thiệu</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-course/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Khóa học</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-news/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Tin tức</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/register?classId=0">
                <i class="fas fa-caret-right"></i>
                <span> Đăng ký học</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="/user/list-job/page/1">
                <i class="fas fa-caret-right"></i>
                <span>Tuyển dụng</span>
              </a>
            </li>
            <li style="padding-bottom: 5px">
              <a href="http://thuvienso.actvn.edu.vn">
                <i class="fas fa-caret-right"></i>
                <span>Tài liệu</span>
              </a>
            </li>
          </ul>
        </div>
        <div class="col-md-2">
          <h5 style="font-size: 18px;color: #1877f2;line-height: 1">LIÊN HỆ</h5>
          <ul id="media" style="margin-left: -30px">
            <li style="list-style-type: none">
              <a href="https://www.facebook.com/HocVienAct">
                <i class="fab fa-facebook-square"></i>
                <span>Fanpage</span>
              </a>
            </li>
            <li style="list-style-type: none">
              <a href="https://www.youtube.com/channel/UCRTuKA5T7NbYMClnqJvOgDQ"><i
                  class="fab fa-youtube"></i>
                <span>Youtube</span></a>
            </li>
          </ul>
        </div>
        <div class="col-md-4 d-flex justify-content-between align-items-center">
          <div class="fb-page"
               data-hide-cover="false"
               data-href="https://www.facebook.com/HocVienAct/"
               data-show-facepile="true"></div>
        </div>
      </div>
      <div style="color: #f5f5f5;">
        <i class="far fa-copyright"></i>
        <span style="font-size: 14px;">Copyright by ACTACAD 2021. All Rights Reserved</span>
      </div>
    </div>
  </div>

  <div id="fb-root"></div>
  <div class="fb-customerchat" id="fb-customer-chat"></div>
</div>

<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script crossorigin="anonymous"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-Atwg2Pkwv9vp0ygtn1JAojH0nYbwNJLPhwyoVbhoPwBhjQPR5VtM2+xf0Uwh9KtT"
        src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.min.js"></script>
<script th:inline="javascript">
  const reText = /^[^0-9_!¡?÷?¿\/\\+=@#$%ˆ&*(){}|~<>;:[\]]{2,}$/;
  const reEmail = /^[^\s@]+@[^\s@]+$/;
  const rePhone = /(03|05|07|08|09|01[2|6|8|9])+([0-9]{8})\b/;
  const classId = [[${classId}]];

  function isEmpty(string) {
    return string === "";
  }

  function isValid(re, string) {
    return re.test(string);
  }

  if (classId !== 0) {
    Swal.fire({
      icon: 'success',
      title: 'Chúc mừng',
      html: '<p style="font-family: Open Sans, sans-serif">Bạn đã đăng kí học thành công !</p>'
          + '<span style="font-family: Open Sans, sans-serif">Phía học viện sẽ sớm liên hệ với bạn nhé </span>'
          + '<hr>'
          + '<a href="/user/list-class/page/1" style="color: #0d6efd; font-family: Nunito, sans-serif; font-size: 16px; outline: none !important"> Lịch khai giảng </a>',
      showConfirmButton: false,
      showCloseButton: true
    });
  } else if (classId == -1) {
    Swal.fire({
      icon: 'error',
      title: 'Thất bại',
      html: '<p style="font-family: Open Sans, sans-serif">Đã có lỗi xảy ra !</p>'
          + '<span style="font-family: Open Sans, sans-serif">Bạn hãy liên hệ với Học viện để được hỗ trợ nhé </span>',
      showConfirmButton: false,
      showCloseButton: true
    });
  }

  $("#txtName").focusout(function () {
    if (isEmpty($("#txtName").val()) || !isValid(reText, $("#txtName").val())) {
      $("#invalidName").css("display", "block")
    } else {
      $("#invalidName").css("display", "none")
    }
  });

  $("#txtDob").focusout(function () {
    var now = new Date();
    var date = new Date($("#txtDob").val());
    if (isEmpty($("#txtDob").val()) || date > now) {
      $("#invalidDob").css("display", "block")
    } else {
      $("#invalidDob").css("display", "none")
    }
  });

  $("#txtPhone").focusout(function () {
    if (isEmpty($("#txtPhone").val()) || !isValid(rePhone, $("#txtPhone").val())) {
      $("#invalidPhone").css("display", "block")
    } else {
      $("#invalidPhone").css("display", "none")
    }
  });

  $("#txtEmail").focusout(function () {
    if (isEmpty($("#txtEmail").val()) || !isValid(reEmail, $("#txtEmail").val())) {
      $("#invalidEmail").css("display", "block")
    } else {
      $("#invalidEmail").css("display", "none")
    }
  });

  function submitForm() {
    var error = false
    var now = new Date();
    var date = new Date($("#txtDob").val());

    if (isEmpty($("#txtName").val()) || !isValid(reText, $("#txtName").val())) {
      error = true;
      $("#invalidName").css("display", "block")
    }

    if (!document.getElementById("radMale").checked) {
      if (!document.getElementById("radFemale").checked) {
        error = true;
        $("#invalidSex").css("display", "block")
      } else {
        $("#invalidSex").css("display", "none")
      }
    } else {
      $("#invalidSex").css("display", "none")
    }

    if (isEmpty($("#txtDob").val()) || date > now) {
      error = true;
      $("#invalidDob").css("display", "block")
    } else {
      $("#invalidDob").css("display", "none")
    }

    if (isEmpty($("#txtPhone").val()) || !isValid(rePhone, $("#txtPhone").val())) {
      error = true;
      $("#invalidPhone").css("display", "block")
    }

    if (isEmpty($("#txtEmail").val()) || !isValid(reEmail, $("#txtEmail").val())) {
      error = true;
      $("#invalidEmail").css("display", "block")
    }

    if (error) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        text: 'Thông tin bạn nhập không hợp lệ !',
        showConfirmButton: false,
      });
    } else if ($("#inputGroupSelect01").val() == 0) {
      event.preventDefault();
      Swal.fire({
        icon: 'error',
        title: 'Oops...',
        text: 'Bạn chưa chọn khóa học bạn muốn rồi !',
        showConfirmButton: false,
        showCloseButton: true
      });
    }
  }
</script>
<script>
  var chatbox = document.getElementById('fb-customer-chat');
  chatbox.setAttribute("page_id", "157477641048261");
  chatbox.setAttribute("attribution", "biz_inbox");
</script>
<script>
  window.fbAsyncInit = function () {
    FB.init({
      xfbml: true,
      version: 'v13.0'
    });
  };

  (function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) {
      return;
    }
    js = d.createElement(s);
    js.id = id;
    js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));
</script>
</body>

</html>